Fork me on GitHub"

# skbio.sequence.Protein.stops

Protein.stops()

  Find positions containing stop characters in the protein sequence.

  State: Stable as of 0.4.0.

  Returns:

    Boolean vector where `True` indicates a stop character is present at that position in the protein sequence.

  Return type:

    1D np.ndarray (bool)

  See also

  `has_stops`

  Examples

      >>> from skbio import Protein
      >>> s = Protein('PAW')
      >>> s.stops()
      array([False, False, False], dtype=bool)
      >>> s = Protein('PAW*E*')
      >>> s.stops()
      array([False, False, False,  True, False,  True], dtype=bool)